<?php
    header('Access-Control-Allow-Origin: '.$config->get('site_url'));
    header('Content-Type: application/json');
    header('Access-Control-Allow-Methods: POST');
    header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');

    $response           = [];
    if($_SERVER["REQUEST_METHOD"] == "POST") {
        if(isset($_POST['csrf_token']) && $csrf_generator->validate($_POST['csrf_token'])) {
            if(isset($_POST['id']) && !empty($_POST['id'])){
                $stmt = $db->query("DELETE FROM {$db->prefix}product_images WHERE id=:id", array(":id"=>$_POST['id']));
                if(!$stmt->error) {
                    $response = array('status'=>true, 'message'=>'Görsel başarıyla silindi');
                }else{
                    $response = array('status'=>false, 'message'=>'Bir hata oluştu ve görsel silinemedi. Lütfen daha sonra tekrar deneyiniz.');
                }
            }else{
                $response = array('status'=>false, 'message'=>'Lütfen silmek için bir görsel seçin.');
            }
        }else{
            $response = array('status'=>false, 'message'=>"Hatalı CSRF Token!");
        }
    }else{
        $response = array('status'=>false, 'message'=>"Hatalı İstek!");
    }

    echo json_encode($response);